reply from pythonxy-

On Nov 28, 4:14 pm, "Md. Golam Rashed" <rash...@gmail.com> wrote:
sfepy.org has an app which relies on pythonxy. but error occurs when using
> the visualization module.
> The following message occurs while running the post processing module -
>
> $ postproc.py its2D.vtk
> ********************************************************************************
> WARNING: Imported VTK version (5.8) does not match the one used
>          to build the TVTK classes (5.6). This may cause problems.
>          Please rebuild TVTK.
> ********************************************************************************
>
> Traceback (most recent call last):
>   File "./postproc.py", line 8, in <module>
>     from sfepy.postprocess import Viewer, get_data_ranges,
> create_file_source
>   File "c:\src\sfepy\sfepy\postprocess\__init__.py", line 1, in <module>
>     from viewer import Viewer, ViewerGUI
>   File "c:\src\sfepy\sfepy\postprocess\viewer.py", line 33, in <module>
>     from sfepy.postprocess.utils import mlab
>   File "c:\src\sfepy\sfepy\postprocess\utils.py", line 14, in <module>
>     mlab = mayavi.mlab
> AttributeError: 'module' object has no attribute 'mlab'

Seems like a bug in sfepy to me. Replacing the offending line with
this one should fix it (not tested):
import mayavi.mlab as mlab

Goyo